<?php
/**
 * Fichier gérant l'installation et désinstallation du plugin boutique Roc-Ecrins
 *
 * @plugin     boutique Roc-Ecrins
 * @copyright  2019
 * @author     tofulm
 * @licence    GNU/GPL
 * @package    SPIP\Rocb\Installation
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}


/**
 * Fonction d'installation et de mise à jour du plugin Bigform
 *
 * @param string $nom_meta_base_version
 *     Nom de la meta informant de la version du schéma de données du plugin installé dans SPIP
 * @param string $version_cible
 *     Version du schéma de données dans ce plugin (déclaré dans paquet.xml)
 * @return void
**/
function bigform_upgrade($nom_meta_base_version, $version_cible) {
	$maj = [];
	// Configuration par défaut
	$config_defaut = [
		'max_file_size' => 10,
		'charger_public' => 1
	];

	$maj['create'] = [
		['maj_tables', ['spip_documents']],
		['ecrire_meta', 'bigup', serialize($config_defaut)]];
	$maj['1.0.1']  = [['ecrire_meta', 'bigup', serialize($config_defaut)]];
	$maj['1.0.5']  = [['maj_tables', ['spip_documents']]];

	include_spip('base/upgrade');
	maj_plugin($nom_meta_base_version, $version_cible, $maj);
}
/**
 * Fonction de désinstallation du plugin Big Upload.
 *
 * @param string $nom_meta_base_version
 *     Nom de la meta informant de la version du schéma de données du plugin installé dans SPIP
 * @return void
**/
function bigform_vider_tables($nom_meta_base_version) {
	effacer_meta($nom_meta_base_version);
}
